﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_constraint.sql **/
 EXEC P_ALTERPK 'PK_SFC_MROACTSUBENTRY', 'T_SFC_MROACTSUBENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MROACTSUBENTRY_FK') CREATE INDEX IDX_SFC_MROACTSUBENTRY_FK ON T_SFC_MROACTSUBENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_SFC_MROMANLOGENTRY', 'T_SFC_MROMANLOGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MROMANLOGENTRY_FK') CREATE INDEX IDX_SFC_MROMANLOGENTRY_FK ON T_SFC_MROMANLOGENTRY ( FID );


 EXEC P_ALTERPK 'PK_SFC_MROMANUFTECH', 'T_SFC_MROMANUFTECH', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MROTECH_FBILLNO') CREATE INDEX IDX_MROTECH_FBILLNO ON T_SFC_MROMANUFTECH ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MROTECH_FCREATETIME') CREATE INDEX IDX_MROTECH_FCREATETIME ON T_SFC_MROMANUFTECH ( FCREATETIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MROTECH_FORDERID') CREATE INDEX IDX_MROTECH_FORDERID ON T_SFC_MROMANUFTECH ( FMANUFACTUREORDERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MROTECH_FORDERENTRYID') CREATE INDEX IDX_MROTECH_FORDERENTRYID ON T_SFC_MROMANUFTECH ( FMFTENTRYSEQ );


 EXEC P_ALTERPK 'PK_SFC_MROMANUFTECH_E', 'T_SFC_MROMANUFTECH_E', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MRO_FTRACKNUMBER') CREATE INDEX IDX_SFC_MRO_FTRACKNUMBER ON T_SFC_MROMANUFTECH_E ( FTRACKNUMBERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MRO_FCONFIGUREDCODE') CREATE INDEX IDX_SFC_MRO_FCONFIGUREDCODE ON T_SFC_MROMANUFTECH_E ( FCONFIGUREDCODEID );


 EXEC P_ALTERPK 'PK_SFC_MROMANUFTECHLOG', 'T_SFC_MROMANUFTECHLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MROLOG_FMANBILLENTRYID') CREATE INDEX IDX_MROLOG_FMANBILLENTRYID ON T_SFC_MROMANUFTECHLOG ( FMANBILLENTRYID );


 EXEC P_ALTERPK 'PK_SFC_MROMULRECEIVER', 'T_SFC_MROMULRECEIVER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MROMULRECEIVER_FK') CREATE INDEX IDX_SFC_MROMULRECEIVER_FK ON T_SFC_MROMULRECEIVER ( FENTRYID );


 EXEC P_ALTERPK 'PK_SFC_MROPROCESSENTRY', 'T_SFC_MROPROCESSENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MROPROCESSENTRY_FK') CREATE INDEX IDX_SFC_MROPROCESSENTRY_FK ON T_SFC_MROPROCESSENTRY ( FID );


 EXEC P_ALTERPK 'PK_SFC_MRORELATIONENTRY', 'T_SFC_MRORELATIONENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MRORELATIONENTRY_FK') CREATE INDEX IDX_SFC_MRORELATIONENTRY_FK ON T_SFC_MRORELATIONENTRY ( FID );


 EXEC P_ALTERPK 'PK_SFC_MROREPSUBENTRY', 'T_SFC_MROREPSUBENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MROREPSUBENTRY_FK') CREATE INDEX IDX_SFC_MROREPSUBENTRY_FK ON T_SFC_MROREPSUBENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_SFC_MROSCHSUBENTRY', 'T_SFC_MROSCHSUBENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MROSCHSUBENTRY_FK') CREATE INDEX IDX_SFC_MROSCHSUBENTRY_FK ON T_SFC_MROSCHSUBENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_SFC_MROMANFTECHENTRY', 'T_SFC_MROMANFTECHENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MROTECHENTRY_FID') CREATE INDEX IDX_MROTECHENTRY_FID ON T_SFC_MROMANFTECHENTRY ( FID );


 EXEC P_ALTERPK 'PK_SFC_MROMANFTECHENTRY_E', 'T_SFC_MROMANFTECHENTRY_E', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MROTECHENTRY_E_FID') CREATE INDEX IDX_MROTECHENTRY_E_FID ON T_SFC_MROMANFTECHENTRY_E ( FID );


 EXEC P_ALTERPK 'PK_SFC_MROMANFTECHENTRY_F', 'T_SFC_MROMANFTECHENTRY_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MROENTRY_F_FID') CREATE INDEX IDX_MROENTRY_F_FID ON T_SFC_MROMANFTECHENTRY_F ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_constraint.sql **/
