﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_constraint.sql **/
 EXEC P_ALTERPK 'PK_SFC_MEETCONTENT', 'T_SFC_MEETCONTENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MEETCONTENT_CREATEORG') CREATE INDEX IDX_SFC_MEETCONTENT_CREATEORG ON T_SFC_MEETCONTENT ( FCREATEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MEETCONTENT_MASTER') CREATE INDEX IDX_SFC_MEETCONTENT_MASTER ON T_SFC_MEETCONTENT ( FMASTERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MEETCONTENT_NUMBER') CREATE INDEX IDX_SFC_MEETCONTENT_NUMBER ON T_SFC_MEETCONTENT ( FNUMBER );


 EXEC P_ALTERPK 'PK_SFC_MEETMODCONFIG', 'T_SFC_MEETMODCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MEETMOD_CREATEORG') CREATE INDEX IDX_SFC_MEETMOD_CREATEORG ON T_SFC_MEETMODCONFIG ( FCREATEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MEETMOD_MASTER') CREATE INDEX IDX_SFC_MEETMOD_MASTER ON T_SFC_MEETMODCONFIG ( FMASTERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MEETMOD_NUMBER') CREATE INDEX IDX_SFC_MEETMOD_NUMBER ON T_SFC_MEETMODCONFIG ( FNUMBER );


 EXEC P_ALTERPK 'PK_SFC_MEETMODCONFIGENTRY', 'T_SFC_MEETMODCONFIGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MEETMODCONFIGENTRY_FK') CREATE INDEX IDX_SFC_MEETMODCONFIGENTRY_FK ON T_SFC_MEETMODCONFIGENTRY ( FID );


 EXEC P_ALTERPK 'PK_SFC_MEETTYPE', 'T_SFC_MEETTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MEETTYPE_CREATEORG') CREATE INDEX IDX_SFC_MEETTYPE_CREATEORG ON T_SFC_MEETTYPE ( FCREATEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MEETTYPE_MASTER') CREATE INDEX IDX_SFC_MEETTYPE_MASTER ON T_SFC_MEETTYPE ( FMASTERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MEETTYPE_NUMBER') CREATE INDEX IDX_SFC_MEETTYPE_NUMBER ON T_SFC_MEETTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_SFC_MUTCUSTOMER', 'T_SFC_MUTCUSTOMER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MUTCUSTOMER_FK') CREATE INDEX IDX_SFC_MUTCUSTOMER_FK ON T_SFC_MUTCUSTOMER ( FID );


 EXEC P_ALTERPK 'PK_SFC_MUTDEPARTMENT', 'T_SFC_MUTDEPARTMENT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MUTDEPARTMENT_FK') CREATE INDEX IDX_SFC_MUTDEPARTMENT_FK ON T_SFC_MUTDEPARTMENT ( FID );


 EXEC P_ALTERPK 'PK_SFC_ROUTINELIBS', 'T_SFC_ROUTINELIBS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_ROUTINELIB_CORGID') CREATE INDEX IDX_SFC_ROUTINELIB_CORGID ON T_SFC_ROUTINELIBS ( FCREATEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_ROUTINELIB_MASTERID') CREATE INDEX IDX_SFC_ROUTINELIB_MASTERID ON T_SFC_ROUTINELIBS ( FMASTERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_ROUTINELIB_NUMBER') CREATE INDEX IDX_SFC_ROUTINELIB_NUMBER ON T_SFC_ROUTINELIBS ( FNUMBER );


 EXEC P_ALTERPK 'PK_SFC_ROUTINELIBS_L', 'T_SFC_ROUTINELIBS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_ROUTINELIBS_L_0') CREATE INDEX IDX_SFC_ROUTINELIBS_L_0 ON T_SFC_ROUTINELIBS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SFC_MEETCONTENT_L', 'T_SFC_MEETCONTENT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MEETCONTENT_L_0') CREATE INDEX IDX_SFC_MEETCONTENT_L_0 ON T_SFC_MEETCONTENT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SFC_MEETMODCONFIG_L', 'T_SFC_MEETMODCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MEETMODCONFIG_L_0') CREATE INDEX IDX_SFC_MEETMODCONFIG_L_0 ON T_SFC_MEETMODCONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SFC_MEETTYPE_L', 'T_SFC_MEETTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MEETTYPE_L_0') CREATE INDEX IDX_SFC_MEETTYPE_L_0 ON T_SFC_MEETTYPE_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_constraint.sql **/
