﻿/**Begin D:\PDM_UPGRADE\PDM1\SFC_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_DAILYPLANLOG') 
 CREATE TABLE T_SFC_DAILYPLANLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMROORDERNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMROORDERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_EXCEPATTACH') 
 CREATE TABLE T_SFC_EXCEPATTACH (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_FNISATTACH') 
 CREATE TABLE T_SFC_FNISATTACH (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_FNISHENTRY') 
 CREATE TABLE T_SFC_FNISHENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FRECORDDATE DATETIME,
FPROFESSIONID BIGINT DEFAULT 0 NOT NULL,
FRESPONSERID BIGINT DEFAULT 0 NOT NULL,
FMODEL NVARCHAR(5) DEFAULT ' ' NOT NULL,
FCONTENT NVARCHAR(999) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_HANDATTACH') 
 CREATE TABLE T_SFC_HANDATTACH (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_HANDENTRY') 
 CREATE TABLE T_SFC_HANDENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FHANDDATE DATETIME,
FHANDPROFESID BIGINT DEFAULT 0 NOT NULL,
FHANDERID BIGINT DEFAULT 0 NOT NULL,
FHANDMODEL NVARCHAR(5) DEFAULT ' ' NOT NULL,
FRECIVEPROFESID BIGINT DEFAULT 0 NOT NULL,
FREVICERID BIGINT DEFAULT 0 NOT NULL,
FDELIVERID BIGINT DEFAULT 0 NOT NULL,
FHANDSTATUS NVARCHAR(5) DEFAULT ' ' NOT NULL,
FHANDCONTENT NVARCHAR(999) DEFAULT ' ' NOT NULL,
FHANDOVERORDERID BIGINT DEFAULT 0 NOT NULL,
FDAILYPLANID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_EXCEPTENTRY') 
 CREATE TABLE T_SFC_EXCEPTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FEXCEPTIONDATE DATETIME,
FEXCEPTIONERID BIGINT DEFAULT 0 NOT NULL,
FEXCEPPROFESID BIGINT DEFAULT 0 NOT NULL,
FEXCEPRESONID BIGINT DEFAULT 0 NOT NULL,
FEXCEPCONTENT NVARCHAR(500) DEFAULT ' ' NOT NULL
);

/**End D:\PDM_UPGRADE\PDM1\SFC_table.sql **/
