﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_POM_MANFTECHENTRY' AND KSQL_COL_NAME ='FECOSTCENTERID') 
 ALTER TABLE T_POM_MANFTECHENTRY ADD (FECOSTCENTERID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SFC_ADJUSTENTRY' AND KSQL_COL_NAME ='FECOSTCENTERID') 
 ALTER TABLE T_SFC_ADJUSTENTRY ADD (FECOSTCENTERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SFC_PROCESSRPTENT' AND KSQL_COL_NAME ='FECOSTCENTERID') 
 ALTER TABLE T_SFC_PROCESSRPTENT ADD (FECOSTCENTERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SFC_PTFBILLINENTRY' AND KSQL_COL_NAME ='FICOSTCENTERID') 
 ALTER TABLE T_SFC_PTFBILLINENTRY ADD (FICOSTCENTERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SFC_PTFBILLOUTENTRY' AND KSQL_COL_NAME ='FOCOSTCENTERID') 
 ALTER TABLE T_SFC_PTFBILLOUTENTRY ADD (FOCOSTCENTERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SFC_MROMANFTECHENTRY' AND KSQL_COL_NAME ='FECOSTCENTERID') 
 ALTER TABLE T_SFC_MROMANFTECHENTRY ADD (FECOSTCENTERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SFC_DPENTRY_OPR' AND KSQL_COL_NAME ='FRESREADYS') 
 ALTER TABLE T_SFC_DPENTRY_OPR ADD (FRESREADYS NVARCHAR(512) DEFAULT ' ' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SFC_DPENTRY_OPR' AND KSQL_COL_NAME ='FCOMPLETIONRATE') 
 ALTER TABLE T_SFC_DPENTRY_OPR ADD (FCOMPLETIONRATE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SFC_DPENTRY_OPR' AND KSQL_COL_NAME ='FNOTE') 
 ALTER TABLE T_SFC_DPENTRY_OPR ADD (FNOTE NVARCHAR(500) DEFAULT ' ' NOT NULL );
 
 EXEC p_AlterColumn 'T_SFC_DAILYPLAN_NEW', 'FTASKNAME', 'VARCHAR(255)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SFC_DAILYPLAN_NEW' AND KSQL_COL_NAME ='FBILLTYPE') 
 ALTER TABLE T_SFC_DAILYPLAN_NEW ADD (FBILLTYPE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SFC_DAILYPLAN_NEW' AND KSQL_COL_NAME ='FTASKTYPE') 
 ALTER TABLE T_SFC_DAILYPLAN_NEW ADD (FTASKTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_DPF_MULPROJECT') 
 CREATE TABLE T_SFC_DPF_MULPROJECT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_DAILYPLANPERSONS_L') 
 CREATE TABLE T_SFC_DAILYPLANPERSONS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_DAILYPLANPERSONS') 
 CREATE TABLE T_SFC_DAILYPLANPERSONS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FPERSON BIGINT DEFAULT 0 NOT NULL,
FISTEAMLEADER CHAR(1) DEFAULT '0' NOT NULL,
FPERSONTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_DAILYPERSONGROUP_L') 
 CREATE TABLE T_SFC_DAILYPERSONGROUP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_DAILYPERSONGROUP') 
 CREATE TABLE T_SFC_DAILYPERSONGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FLONGNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT '1' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FTEAM BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);

 
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_table.sql **/
