﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_DAILYPLAN_NEW') 
 CREATE TABLE T_SFC_DAILYPLAN_NEW (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBEGINTIME DATETIME,
FENDTIME DATETIME,
FBIZSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FDISPATCHSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FALLOCATIONSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FISEXCEPTION CHAR(1) DEFAULT '0' NOT NULL,
FISTASKCHANGE CHAR(1) DEFAULT '0' NOT NULL,
FISFILLTASK CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_DPENTRY_OPR') 
 CREATE TABLE T_SFC_DPENTRY_OPR (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FREPAIRHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRWORKHOURUNITID BIGINT DEFAULT 0 NOT NULL,
FCHECKHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSGROUPID BIGINT DEFAULT 0 NOT NULL,
FPROFESSIONID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FWORKHOUR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCTIME DATETIME,
FSRCBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FZONEID BIGINT DEFAULT 0 NOT NULL,
FAREAID BIGINT DEFAULT 0 NOT NULL,
FPLANAREAID BIGINT DEFAULT 0 NOT NULL,
FMATERIALMTCID BIGINT DEFAULT 0 NOT NULL,
FTASKBEGINTIME DATETIME,
FTASKENDTIME DATETIME,
FISOPREXCEPTION CHAR(1) DEFAULT '0' NOT NULL,
FWORKCARDID BIGINT DEFAULT 0 NOT NULL,
FPMTSTASK BIGINT DEFAULT 0 NOT NULL,
FWORKCARDTITLE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_DPENTRY_PLAN') 
 CREATE TABLE T_SFC_DPENTRY_PLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPLANSTARTTIME DATETIME,
FPLANENDTIME DATETIME,
FPLANBIZSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_DPSUBENTRY_ALLOC') 
 CREATE TABLE T_SFC_DPSUBENTRY_ALLOC (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FUSERINCHARGEID BIGINT DEFAULT 0 NOT NULL,
FROLEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FSTUDYSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCLASSGROUPID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_DPSUBENTRY_RPT') 
 CREATE TABLE T_SFC_DPSUBENTRY_RPT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FREPORTBEGINTIME DATETIME,
FREPORTENDTIME DATETIME,
FWORKHOURUNITID BIGINT DEFAULT 0 NOT NULL,
FACTUALHOUR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWORKTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_POST_TASK') 
 CREATE TABLE T_SFC_POST_TASK (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPOSTTASKID BIGINT DEFAULT 0 NOT NULL,
FPOSTTASKRELATION VARCHAR(50) DEFAULT ' ' NOT NULL,
FPOSTDELAY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_PRE_TASK') 
 CREATE TABLE T_SFC_PRE_TASK (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPRETASKID BIGINT DEFAULT 0 NOT NULL,
FPRETASKRELATION VARCHAR(50) DEFAULT ' ' NOT NULL,
FPREDELAY DECIMAL(23,10) DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_table.sql **/
