﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_constraint.sql **/
 
 EXEC P_ALTERPK 'PK_SFC_OUTMFTISSUE', 'T_SFC_OUTMANFTECHISSUE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_OUTMFTISE_FBILLNO') CREATE INDEX IDX_SFC_OUTMFTISE_FBILLNO ON T_SFC_OUTMANFTECHISSUE ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_OUTMFTISE_FOSC') CREATE INDEX IDX_SFC_OUTMFTISE_FOSC ON T_SFC_OUTMANFTECHISSUE ( FORGID,FCREATETIME,FBILLSTATUS );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_OUTMFTISE_FSUP') CREATE INDEX IDX_SFC_OUTMFTISE_FSUP ON T_SFC_OUTMANFTECHISSUE (FSUPPLIER);
 
 EXEC P_ALTERPK 'PK_SFC_OUTMFTISSUEENTRY', 'T_SFC_OUTMFTISSUEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_OUTMFTISSUE_FID') CREATE INDEX IDX_SFC_OUTMFTISSUE_FID ON T_SFC_OUTMFTISSUEENTRY ( FID );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_OUTMFTIE_FMATERIALID') CREATE INDEX IDX_SFC_OUTMFTIE_FMATERIALID ON T_SFC_OUTMFTISSUEENTRY ( FMATERIALID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_OUTMFTIE_FMASTERID') CREATE INDEX IDX_SFC_OUTMFTIE_FMASTERID ON T_SFC_OUTMFTISSUEENTRY ( FMASTERID );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_OUTMFTIE_FMANFTECH') CREATE INDEX IDX_SFC_OUTMFTIE_FMANFTECH ON T_SFC_OUTMFTISSUEENTRY ( FMANFTECHID,FMANFTECHENTRYID);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_constraint.sql **/
